Loading...
Searching...
No Matches
BALL::Atom::BondIteratorTraits Class Reference

`#include <BALL/KERNEL/atom.h>`

## Public Member Functions

virtual | ~BondIteratorTraits ()
| BondIteratorTraits ()
| BondIteratorTraits (const Atom &atom)
| BondIteratorTraits (const BondIteratorTraits &traits, bool=true)
BondIteratorTraits & | operator= (const BondIteratorTraits &traits)
Atom * | getContainer ()
const Atom * | getContainer () const
bool | isSingular () const
BondIteratorPosition & | getPosition ()
const BondIteratorPosition & | getPosition () const
bool | operator== (const BondIteratorTraits &traits) const
bool | operator!= (const BondIteratorTraits &traits) const
bool | operator< (const BondIteratorTraits &traits) const
Distance | getDistance (const BondIteratorTraits &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
Bond & | getData ()
const Bond & | getData () const
void | forward ()
void | dump (std::ostream &s) const
void | toRBegin ()
bool | isRBegin () const
void | toREnd ()
bool | isREnd () const
void | backward ()
void | backward (Distance distance)
void | forward (Distance distance)
Bond & | getData (Index index)
const Bond & | getData (Index index) const

## Friends

std::ostream & | operator<< (std::ostream &s, const BondIteratorTraits &traits)

## Detailed Description

Definition at line 728 of file atom.h.

## Constructor & Destructor Documentation

## ~BondIteratorTraits()

virtual BALL::Atom::BondIteratorTraits::~BondIteratorTraits | ( |  | ) |

inline virtual

Definition at line 734 of file atom.h.

## BondIteratorTraits() [1/3]

BALL::Atom::BondIteratorTraits::BondIteratorTraits | ( |  | ) |

inline

Definition at line 736 of file atom.h.

## BondIteratorTraits() [2/3]

BALL::Atom::BondIteratorTraits::BondIteratorTraits | ( | const Atom & | atom | ) |

inline

Definition at line 742 of file atom.h.

## BondIteratorTraits() [3/3]

BALL::Atom::BondIteratorTraits::BondIteratorTraits | ( | const BondIteratorTraits & | traits,
|  | bool | = true )

inline

Definition at line 748 of file atom.h.

## Member Function Documentation

## backward() [1/2]

void BALL::Atom::BondIteratorTraits::backward | ( |  | ) |

inline

Definition at line 849 of file atom.h.

## backward() [2/2]

void BALL::Atom::BondIteratorTraits::backward | ( | Distance | distance | ) |

inline

Definition at line 854 of file atom.h.

## dump()

void BALL::Atom::BondIteratorTraits::dump | ( | std::ostream & | s | ) | const

inline

Definition at line 824 of file atom.h.

## forward() [1/2]

void BALL::Atom::BondIteratorTraits::forward | ( |  | ) |

inline

Definition at line 817 of file atom.h.

## forward() [2/2]

void BALL::Atom::BondIteratorTraits::forward | ( | Distance | distance | ) |

inline

Definition at line 859 of file atom.h.

## getContainer() [1/2]

Atom * BALL::Atom::BondIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 761 of file atom.h.

## getContainer() [2/2]

const Atom * BALL::Atom::BondIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 763 of file atom.h.

## getData() [1/4]

Bond & BALL::Atom::BondIteratorTraits::getData | ( |  | ) |

inline

Definition at line 813 of file atom.h.

## getData() [2/4]

const Bond & BALL::Atom::BondIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 815 of file atom.h.

## getData() [3/4]

Bond & BALL::Atom::BondIteratorTraits::getData | ( | Index | index | ) |

inline

Definition at line 864 of file atom.h.

## getData() [4/4]

const Bond & BALL::Atom::BondIteratorTraits::getData | ( | Index | index | ) | const

inline

Definition at line 869 of file atom.h.

## getDistance()

Distance BALL::Atom::BondIteratorTraits::getDistance | ( | const BondIteratorTraits & | traits | ) | const

inline

Definition at line 789 of file atom.h.

## getPosition() [1/2]

BondIteratorPosition & BALL::Atom::BondIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 767 of file atom.h.

## getPosition() [2/2]

const BondIteratorPosition & BALL::Atom::BondIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 769 of file atom.h.

## invalidate()

void BALL::Atom::BondIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 799 of file atom.h.

## isBegin()

bool BALL::Atom::BondIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 807 of file atom.h.

## isEnd()

bool BALL::Atom::BondIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 811 of file atom.h.

## isRBegin()

bool BALL::Atom::BondIteratorTraits::isRBegin | ( |  | ) | const

inline

Definition at line 834 of file atom.h.

## isREnd()

bool BALL::Atom::BondIteratorTraits::isREnd | ( |  | ) | const

inline

Definition at line 844 of file atom.h.

## isSingular()

bool BALL::Atom::BondIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 765 of file atom.h.

## isValid()

bool BALL::Atom::BondIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 794 of file atom.h.

## operator!=()

bool BALL::Atom::BondIteratorTraits::operator!= | ( | const BondIteratorTraits & | traits | ) | const

inline

Definition at line 779 of file atom.h.

## operator<()

bool BALL::Atom::BondIteratorTraits::operator< | ( | const BondIteratorTraits & | traits | ) | const

inline

Definition at line 784 of file atom.h.

## operator=()

BondIteratorTraits & BALL::Atom::BondIteratorTraits::operator= | ( | const BondIteratorTraits & | traits | ) |

inline

Definition at line 754 of file atom.h.

## operator==()

bool BALL::Atom::BondIteratorTraits::operator== | ( | const BondIteratorTraits & | traits | ) | const

inline

Definition at line 774 of file atom.h.

## toBegin()

void BALL::Atom::BondIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 805 of file atom.h.

## toEnd()

void BALL::Atom::BondIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 809 of file atom.h.

## toRBegin()

void BALL::Atom::BondIteratorTraits::toRBegin | ( |  | ) |

inline

Definition at line 829 of file atom.h.

## toREnd()

void BALL::Atom::BondIteratorTraits::toREnd | ( |  | ) |

inline

Definition at line 839 of file atom.h.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | s,
|  | const BondIteratorTraits & | traits )

friend

Definition at line 819 of file atom.h.